<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.policy.jacc-policy">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="policy-feature,configuration-factory,module"/>
        <elem name="complex-attribute" value="jacc-policy"/>
        <elem name="op-params-mapping" value="policy,configuration-factory,module"/>
        <elem name="addr-params" value="profile,host,subsystem,policy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.policy"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="configuration-factory" nillable="true"/>
        <param name="policy-feature" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="policy" feature-id="true"/>
    </params>
</feature-spec>